Package org.eclipse.launchbar.core

# Interface ILaunchBarManager

All Superinterfaces:
  `org.eclipse.debug.core.ILaunchConfigurationListener`

All Known Implementing Classes:
  `LaunchBarManager`

public interface ILaunchBarManager extends org.eclipse.debug.core.ILaunchConfigurationListener
Interface to the Launch Bar Manager.

Restriction:
  This interface is not intended to be implemented by clients.

## Method Summary

Modifier and Type
Method
Description
`void`
`addListener(ILaunchBarListener listener)`
Add a listener that can react to launch bar changes
`org.eclipse.debug.core.ILaunchConfiguration`
`getActiveLaunchConfiguration()`
Returns the active launch configuration as derived from the active descriptor and target.
`ILaunchDescriptor`
`getActiveLaunchDescriptor()`
Returns the active launch descriptor.
`org.eclipse.debug.core.ILaunchMode`
`getActiveLaunchMode()`
Returns the active launch mode.
`ILaunchTarget`
`getActiveLaunchTarget()`
Returns the active launch target.
`String`
`getDescriptorTypeId(ILaunchDescriptorType descType)`
Return the type id for the given launch descriptor type.
`org.eclipse.debug.core.ILaunchConfiguration`
`getLaunchConfiguration(ILaunchDescriptor desc, ILaunchTarget target)`
Returns the launch configuration derived from the given launch descriptor and target.
`org.eclipse.debug.core.ILaunchConfigurationType`
`getLaunchConfigurationType(ILaunchDescriptor desc, ILaunchTarget target)`
Returns the launch configuration type used for configurations that are derived from the given launch descriptor and launch target without creating a launch configuration.
`ILaunchDescriptor[]`
`getLaunchDescriptors()`
Returns all know launch descriptors.
`org.eclipse.debug.core.ILaunchMode[]`
`getLaunchModes()`
Return all launch modes for the active launch descriptor and active launch target.
`ILaunchTarget[]`
`getLaunchTargets(ILaunchDescriptor desc)`
Return all launch targets supported by the given launch descriptor.
`ILaunchDescriptor`
`launchObjectAdded(Object launchObject)`
A launch object has been added.
`void`
`launchObjectChanged(Object launchObject)`
A launch object has changed in some way that affects the launch bar.
`void`
`launchObjectRemoved(Object launchObject)`
A launch object has been removed.
`void`
`removeListener(ILaunchBarListener listener)`
Remove a listener
`void`
`setActiveLaunchDescriptor(ILaunchDescriptor desc)`
Set the active launch descriptor.
`void`
`setActiveLaunchMode(org.eclipse.debug.core.ILaunchMode mode)`
Set the active launch mode.
`void`
`setActiveLaunchTarget(ILaunchTarget target)`
Set the active launch target.

### Methods inherited from interface org.eclipse.debug.core.ILaunchConfigurationListener

`launchConfigurationAdded, launchConfigurationChanged, launchConfigurationRemoved`

## Method Details

### launchObjectAdded

ILaunchDescriptor launchObjectAdded(Object launchObject) throws org.eclipse.core.runtime.CoreException
A launch object has been added. Create a matching launch descriptor if available.

Parameters:
  `element` - launch object
Returns:
  the launch descriptor that got created, null of none was
Throws:
  `org.eclipse.core.runtime.CoreException`

### launchObjectRemoved

void launchObjectRemoved(Object launchObject) throws org.eclipse.core.runtime.CoreException
A launch object has been removed. Remove the associated launch descriptor if there is one.

Parameters:
  `element` - launch object
Throws:
  `org.eclipse.core.runtime.CoreException`

### launchObjectChanged

void launchObjectChanged(Object launchObject) throws org.eclipse.core.runtime.CoreException
A launch object has changed in some way that affects the launch bar.

Parameters:
  `launchObject` -
Throws:
  `org.eclipse.core.runtime.CoreException`

### addListener

void addListener(ILaunchBarListener listener)
Add a listener that can react to launch bar changes

Parameters:
  `listener` -

### removeListener

void removeListener(ILaunchBarListener listener)
Remove a listener

Parameters:
  `listener` -

### getDescriptorTypeId

String getDescriptorTypeId(ILaunchDescriptorType descType) throws org.eclipse.core.runtime.CoreException
Return the type id for the given launch descriptor type. This is defined in the extension point that defines the type.

Parameters:
  `descType` - descriptor type
Returns:
  the type id for the descriptor type
Throws:
  `org.eclipse.core.runtime.CoreException`

### getActiveLaunchDescriptor

ILaunchDescriptor getActiveLaunchDescriptor() throws org.eclipse.core.runtime.CoreException
Returns the active launch descriptor.

Returns:
  active launch descriptor
Throws:
  `org.eclipse.core.runtime.CoreException`

### getActiveLaunchMode

org.eclipse.debug.core.ILaunchMode getActiveLaunchMode() throws org.eclipse.core.runtime.CoreException
Returns the active launch mode.

Returns:
  active launch mode
Throws:
  `org.eclipse.core.runtime.CoreException`

### getActiveLaunchTarget

ILaunchTarget getActiveLaunchTarget() throws org.eclipse.core.runtime.CoreException
Returns the active launch target.

Returns:
  active launch target
Throws:
  `org.eclipse.core.runtime.CoreException`

### getActiveLaunchConfiguration

org.eclipse.debug.core.ILaunchConfiguration getActiveLaunchConfiguration() throws org.eclipse.core.runtime.CoreException
Returns the active launch configuration as derived from the active descriptor and target.

Returns:
  active launch configuration
Throws:
  `org.eclipse.core.runtime.CoreException`

### getLaunchConfiguration

org.eclipse.debug.core.ILaunchConfiguration getLaunchConfiguration(ILaunchDescriptor desc, ILaunchTarget target) throws org.eclipse.core.runtime.CoreException
Returns the launch configuration derived from the given launch descriptor and target.

Parameters:
  `desc` - launch descriptor
  `target` - launch target
Returns:
  launch configuration
Throws:
  `org.eclipse.core.runtime.CoreException`

### getLaunchConfigurationType

org.eclipse.debug.core.ILaunchConfigurationType getLaunchConfigurationType(ILaunchDescriptor desc, ILaunchTarget target) throws org.eclipse.core.runtime.CoreException
Returns the launch configuration type used for configurations that are derived from the given launch descriptor and launch target without creating a launch configuration.

Parameters:
  `desc` - launch descriptor
  `target` - launch target
Returns:
  launch configuration type
Throws:
  `org.eclipse.core.runtime.CoreException`

### getLaunchDescriptors

ILaunchDescriptor[] getLaunchDescriptors() throws org.eclipse.core.runtime.CoreException
Returns all know launch descriptors.

Returns:
  launch descriptors
Throws:
  `org.eclipse.core.runtime.CoreException`

### setActiveLaunchDescriptor

void setActiveLaunchDescriptor(ILaunchDescriptor desc) throws org.eclipse.core.runtime.CoreException
Set the active launch descriptor.

Parameters:
  `desc` - launch descriptor
Throws:
  `org.eclipse.core.runtime.CoreException`

### getLaunchModes

org.eclipse.debug.core.ILaunchMode[] getLaunchModes() throws org.eclipse.core.runtime.CoreException
Return all launch modes for the active launch descriptor and active launch target.

Returns:
  launch modes
Throws:
  `org.eclipse.core.runtime.CoreException`

### setActiveLaunchMode

void setActiveLaunchMode(org.eclipse.debug.core.ILaunchMode mode) throws org.eclipse.core.runtime.CoreException
Set the active launch mode.

Parameters:
  `mode` - launch mode
Throws:
  `org.eclipse.core.runtime.CoreException`

### getLaunchTargets

ILaunchTarget[] getLaunchTargets(ILaunchDescriptor desc) throws org.eclipse.core.runtime.CoreException
Return all launch targets supported by the given launch descriptor.

Parameters:
  `desc` - launch descriptor
Returns:
  launch targets
Throws:
  `org.eclipse.core.runtime.CoreException`

### setActiveLaunchTarget

void setActiveLaunchTarget(ILaunchTarget target) throws org.eclipse.core.runtime.CoreException
Set the active launch target.

Parameters:
  `target` - launch target
Throws:
  `org.eclipse.core.runtime.CoreException`